- Qt 6.11
- Qt Virtual Keyboard
- C++ Classes
- QVirtualKeyboardInputContext
- Qt Virtual Keyboard | Commercial or GPLv3

# Obsolete Members for QVirtualKeyboardInputContext

The following members of class QVirtualKeyboardInputContext are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- `(deprecated)` capsLock : bool
- `(deprecated)` inputItem : QObject*
- `(deprecated)` shift : bool

## Public Functions

`(deprecated)` QObject * | inputItem() const

## Signals

`(deprecated)` void | inputItemChanged()

## Property Documentation

### `[read-only, deprecated]` capsLock : bool

This property is deprecated. We strongly advise against using it in new code.

This property holds the caps lock status.

Use capsLockActive instead.

This property is changed when the caps lock status changes.

Access functions:

bool | isCapsLockActive() const

Notifier signal:

void | capsLockActiveChanged()

### `[read-only, deprecated]` inputItem : QObject*

This property is deprecated. We strongly advise against using it in new code.

This property holds the focused input item.

This property is changed when the focused input item changes.

Access functions:

QObject * | inputItem() const

Notifier signal:

void | inputItemChanged()

### `[read-only, deprecated]` shift : bool

This property is deprecated. We strongly advise against using it in new code.

This property holds the shift status.

Use shiftActive instead.

This property is changed when the shift status changes.

Access functions:

bool | isShiftActive() const

Notifier signal:

void | shiftActiveChanged()